Page MenuHomePhabricator

ASTImporter: Propagate implicit flag to imported record and field decls
AbandonedPublic

Authored by xazax.hun on Dec 5 2014, 6:06 AM.

Details

Summary

This patch changes the ASTImporter to propagate the implicit flag to RecordDecls and FieldDecls (to hide the injected type name and anonymous struct/union fields).

If required I could also extend this to all other decl types.

Diff Detail

Event Timeline

nrieck updated this revision to Diff 16985.Dec 5 2014, 6:06 AM
nrieck retitled this revision from to ASTImporter: Propagate implicit flag to imported record and field decls.
nrieck updated this object.
nrieck edited the test plan for this revision. (Show Details)
nrieck added a subscriber: Unknown Object (MLST).
a.sidorin edited edge metadata.Feb 1 2017, 3:12 AM

This should be fixed in r269693.

This should be fixed in r269693.

Indeed, I commandeer than abandon this revision so it is closed.

xazax.hun commandeered this revision.Feb 17 2017, 7:28 AM
xazax.hun abandoned this revision.
xazax.hun added a reviewer: nrieck.